Package de.willuhn.jameica.hbci.synchronize

# Class SynchronizeSession

java.lang.Object
de.willuhn.jameica.hbci.synchronize.SynchronizeSession

public class SynchronizeSession extends Object
Enthaelt Zustandsinformationen ueber die ggf aktuell laufende HBCI-Synchronisierung.

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
Bricht die Synchronisierung ab.
`List<String>`
`getErrors()`
Liefert die Liste der Fehlermeldungen.
`Konto`
`getKonto()`
Liefert das aktuelle Konto.
`de.willuhn.util.ProgressMonitor`
`getProgressMonitor()`
Liefert den Progress-Monitor.
`double`
`getProgressWindow()`
Liefert die Anzahl der Prozentpunkte, innerhalb derer die aktuelle Job-Gruppe den Fortschritt erhoehen darf.
`int`
`getStatus()`
Liefert den aktuellen Status der Synchronisierung.
`List<String>`
`getWarnings()`
Liefert die Liste der Warnungen.
`void`
`setProgressWindow(double progressWindow)`
Speichert die Anzahl der Prozentpunkte, innerhalb derer die aktuelle Job-Gruppe den Fortschritt erhoehen darf.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getKonto

public Konto getKonto()
Liefert das aktuelle Konto.

Returns:
  konto das aktuelle Konto.

### getProgressMonitor

public de.willuhn.util.ProgressMonitor getProgressMonitor()
Liefert den Progress-Monitor.

Returns:
  monitor der Progress-Monitor.

### getProgressWindow

public double getProgressWindow()
Liefert die Anzahl der Prozentpunkte, innerhalb derer die aktuelle Job-Gruppe den Fortschritt erhoehen darf.

Returns:
  die Anzahl der Prozentpunkte.

### setProgressWindow

public void setProgressWindow(double progressWindow)
Speichert die Anzahl der Prozentpunkte, innerhalb derer die aktuelle Job-Gruppe den Fortschritt erhoehen darf.

Parameters:
  `progressWindow` - die Anzahl der Prozentpunkte.

### getStatus

public int getStatus()
Liefert den aktuellen Status der Synchronisierung.

Returns:
  der aktuelle Status der Synchronisierung.
See Also:
  - `ProgressMonitor.STATUS_NONE`
  - `ProgressMonitor.STATUS_RUNNING`
  - `ProgressMonitor.STATUS_CANCEL`
  - `ProgressMonitor.STATUS_ERROR`
  - `ProgressMonitor.STATUS_DONE`

### cancel

public void cancel()
Bricht die Synchronisierung ab.

### getWarnings

public List<String> getWarnings()
Liefert die Liste der Warnungen.

Returns:
  warnings die Liste der Warnungen.

### getErrors

public List<String> getErrors()
Liefert die Liste der Fehlermeldungen.

Returns:
  errors die Liste der Fehlermeldungen.